> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onset.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace information

> Retrieve information about the current authenticated workspace, including ID, name, and URL slug



## OpenAPI

````yaml https://api.onset.io/v1/openapi.yml get /workspace
openapi: 3.1.0
info:
  title: Onset API
  description: >-
    RESTful API for managing milestones, releases, subscribers, and webhooks in
    Onset workspace.
  version: 1.0.0
  contact:
    name: Onset Support
    url: https://www.onset.io
    email: support@onset.io
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.onset.io/v1
    description: API V1
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Workspace
    description: Workspace management operations
  - name: Milestones
    description: Milestone management operations
  - name: Releases
    description: Release management operations
  - name: Subscribers
    description: Subscriber management operations
  - name: Webhooks
    description: Webhook management operations
  - name: Incoming Webhooks
    description: Incoming webhook management operations
paths:
  /workspace:
    get:
      tags:
        - Workspace
      summary: Get workspace information
      description: >-
        Retrieve information about the current authenticated workspace,
        including ID, name, and URL slug
      responses:
        '200':
          description: Workspace information retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workspace'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
          description: Unique workspace identifier
          example: ws_01hf8k4x7n9m2p3q5r8s9t0v1w
        name:
          type: string
          description: Workspace name
          example: Acme Inc
        slug:
          type: string
          description: Workspace slug
          example: acme-inc
        url:
          type: string
          format: uri
          description: Workspace URL
        members:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Contributor ID
              name:
                type: string
                description: Contributor name
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        details:
          type: object
          description: Additional error details
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````